summaryrefslogtreecommitdiffstats
path: root/source/a/grub/grub.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-09-22 22:41:41 +0000
committer Eric Hameleers <alien@slackware.com>2018-09-23 09:00:31 +0200
commit89d895f1ff30ec2a473919179e995715d0ddf23a (patch)
tree8f4a22a94e02980ddd7816003901a120265b9fa0 /source/a/grub/grub.SlackBuild
parent48e09f463d219d8975a3fb82f2d7d52a88472a9f (diff)
downloadcurrent-89d895f1ff30ec2a473919179e995715d0ddf23a.tar.gz
current-89d895f1ff30ec2a473919179e995715d0ddf23a.tar.xz
Sat Sep 22 22:41:41 UTC 201820180922224141
a/eudev-3.2.6-x86_64-2.txz: Rebuilt. Removed unneeded groups "render" and "kvm" from 50-udev-default.rules. Thanks to Richard David Sherman. a/grub-2.02-x86_64-4.txz: Rebuilt. Applied a patch needed when compiling with recent binutils. Thanks to ivandi. d/parallel-20180922-noarch-1.txz: Upgraded. x/xterm-337-x86_64-1.txz: Upgraded. xap/mozilla-firefox-60.2.1esr-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. A potentially exploitable crash in TransportSecurityInfo used for SSL can be triggered by data stored in the local cache in the user profile directory. This issue is only exploitable in combination with another vulnerability allowing an attacker to write data into the local cache or from locally installed malware. This issue also triggers a non-exploitable startup crash for users switching between the Nightly and Release versions of Firefox if the same profile is used. For more information, see: https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html https://www.mozilla.org/en-US/security/advisories/mfsa2018-23/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12383 (* Security fix *)
Diffstat (limited to 'source/a/grub/grub.SlackBuild')
-rwxr-xr-xsource/a/grub/grub.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/a/grub/grub.SlackBuild b/source/a/grub/grub.SlackBuild
index 9ece0d82b..4b00083b3 100755
--- a/source/a/grub/grub.SlackBuild
+++ b/source/a/grub/grub.SlackBuild
@@ -28,7 +28,7 @@ PKGNAM=grub
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# Better to use _ than ~ in the package filenames version:
PKGVER=$(echo $VERSION | tr '~' '_')
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -118,6 +118,9 @@ zcat $CWD/0198-align-struct-efi_variable-better.patch.gz | patch -p1 --verbose |
# Fix compatibility with recent xfsprogs:
zcat $CWD/grub.xfs.sparse.inodes.patch.gz | patch -p1 --verbose || exit 1
+# Fix breakage when compiled with recent binutils:
+zcat $CWD/grub.binutils.fix.diff.gz | patch -p1 --verbose || exit 1
+
build_grub() {
EFI_DO="$*"
# Configure: